Loading...
Searching...
No Matches
juce::ARAPlaybackRegionListener Class Reference

## Detailed Description

A base class for listeners that want to know about changes to an ARAPlaybackRegion object.

Use ARAPlaybackRegion::addListener() to register your listener with an ARAPlaybackRegion.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARAModelObjects.h

Inheritance diagram for juce::ARAPlaybackRegionListener:

## Public Member Functions

virtual | ~ARAPlaybackRegionListener ()=default
| Destructor.
virtual void | willUpdatePlaybackRegionProperties (ARAPlaybackRegion *playbackRegion, ARA::PlugIn::PropertiesPtr< ARA::ARAPlaybackRegionProperties > newProperties)
| Called before the playback region's properties are updated.
virtual void | didUpdatePlaybackRegionProperties (ARAPlaybackRegion *playbackRegion)
| Called after the playback region's properties are updated.
virtual void | didUpdatePlaybackRegionContent (ARAPlaybackRegion *playbackRegion, ARAContentUpdateScopes scopeFlags)
| Called when the playback region's content (i.e.
virtual void | willDestroyPlaybackRegion (ARAPlaybackRegion *playbackRegion)
| Called before the playback region is destroyed.

## Constructors and Destructors

## ~ARAPlaybackRegionListener()

virtual juce::ARAPlaybackRegionListener::~ARAPlaybackRegionListener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## willUpdatePlaybackRegionProperties()

virtual void juce::ARAPlaybackRegionListener::willUpdatePlaybackRegionProperties | ( | ARAPlaybackRegion * | playbackRegion,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARAPlaybackRegionProperties > | newProperties )

virtual

Called before the playback region's properties are updated.

Parameters

  playbackRegion | The playback region whose properties will be updated.
  newProperties | The playback region properties that will be assigned to `playbackRegion`.

Reimplemented in juce::ARAPlaybackRegionReader.

## didUpdatePlaybackRegionProperties()

virtual void juce::ARAPlaybackRegionListener::didUpdatePlaybackRegionProperties | ( | ARAPlaybackRegion * | playbackRegion | ) |

virtual

Called after the playback region's properties are updated.

Parameters

  playbackRegion | The playback region whose properties were updated.

## didUpdatePlaybackRegionContent()

virtual void juce::ARAPlaybackRegionListener::didUpdatePlaybackRegionContent | ( | ARAPlaybackRegion * | playbackRegion,
|  | ARAContentUpdateScopes | scopeFlags )

virtual

Called when the playback region's content (i.e.

samples or notes) changes.

Parameters

  playbackRegion | The playback region with updated content.
  scopeFlags | The scope of the content update.

Reimplemented in juce::ARAPlaybackRegionReader.

## willDestroyPlaybackRegion()

virtual void juce::ARAPlaybackRegionListener::willDestroyPlaybackRegion | ( | ARAPlaybackRegion * | playbackRegion | ) |

virtual

Called before the playback region is destroyed.

Parameters

  playbackRegion | The playback region that will be destroyed.

Reimplemented in juce::ARAPlaybackRegionReader.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited